Jump to
Ctrl
+
/

List Vault Accounts

GET
/vaults/{vaultId}/vault-accounts/details

Retrieve all Vault Accounts associated with a specific Vault.

Path Parameters

vaultId string Required

The ID of the vault.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

isHidden boolean Optional

When it is set to true, the endpoint will return only Vault Accounts that are marked as hidden in the dashboard (isHiddenInDashboard = true).

isHideEmpty boolean Optional

When it is set to true, the response will include only Vault Accounts that have a positive balance.

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
addressesCount string Required

The total number of addresses associated with this Vault Account.

12
balances array Items (object) Required
assetId string Required

The specific id of the assets.

6913471c6b2794841dc8fb7e
assetName string Required

Full name of the asset (e.g., Ethereum, Base, Optimism, Tron, Bitcoin, Dogecoin,).

Ethereum
assetUnit string Required

The commonly used symbol for the asset (e.g., ETH, BTC, TRX, BNB).

ETH
blockchain string Required

The blockchain network where this asset resides (e.g., ethereum, bitcoin, optimism, tron, binance-smart-chain).

ethereum
exchangeRateUnit string Required

The pricing unit used when calculating exchange rates.

USD
latestExchangeRateToUSD string Required

The latest exchange rate of the asset to USD.

2822.59
totalAmount string Required

The total amount of this asset held in the Vault Account.

0.123
createdAt integer Required

The UNIX timestamp indicating when the Vault Account was first created.

1760088530
index integer Required

The sequential index of this Vault Account within its parent Vault.

1
isFavoriteInDashboard boolean Required

Indicates whether the Vault Account has been marked as a "favorite" in the dashboard.

true
isHiddenInDashboard boolean Required

Specifies whether this Vault Account is hidden from the main dashboard view.

true
vaultAccountColour string Required

A HEX color value used to uniquely visually style this Vault Account in dashboards.

#00A3BF
vaultAccountId string Required

The unique id of the Vault Account.

68dfaeae39a4b80007c4f707
vaultAccountName string Required

The name of the Vault Account.

Vault Account Name
vaultId string Required

The id of the Vault to which this Vault Account belongs.

68dfaeae39a4b80007c4f707

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "addressesCount": "12",
                "balances": [
                    {
                        "assetId": "6913471c6b2794841dc8fb7e",
                        "assetName": "Ethereum",
                        "assetUnit": "ETH",
                        "blockchain": "ethereum",
                        "exchangeRateUnit": "USD",
                        "latestExchangeRateToUSD": "2822.59",
                        "totalAmount": "0.123"
                    }
                ],
                "createdAt": 1760088530,
                "index": 1,
                "isFavoriteInDashboard": true,
                "isHiddenInDashboard": true,
                "vaultAccountColour": "#00A3BF",
                "vaultAccountId": "68dfaeae39a4b80007c4f707",
                "vaultAccountName": "Vault Account Name",
                "vaultId": "68dfaeae39a4b80007c4f707"
            }
        ]
    }
}